Skip to content

Configuration ​

Public endpoints for querying supported blockchain networks and tokens. These endpoints do not require authentication.

Query All Chain Info ​

Retrieve all supported blockchain networks.

Endpoint ​

POST /v4.0.0/config/chains

Request ​

No request body required. Send an empty JSON object:

json
{}

Response ​

json
{
    "code": 0,
    "msg": "success",
    "ui": null,
    "version": null,
    "count": 0,
    "data": [
        {
            "id": 1,
            "chain": "ETH",
            "receiptAddress": "0xfa1...61",
            "txConfirmCount": "3",
            "decimals": 18,
            "chainId": "1",
            "createTime": 1712156631401,
            "updateTime": 1712156631401,
            "chainType": 0,
            "multicall3": "0xca11bde05977b3631167028862be2a173976ca11",
            "explorerUrl": "https://etherscan.io",
            "explorerTxPath": "/tx/",
            "explorerAddrPath": "/address/",
            "eip712ChainId": "0",
            "eip1559Support": true
        },
        {
            "id": 3,
            "chain": "BSC",
            "receiptAddress": "0xfa...c61",
            "txConfirmCount": "3",
            "decimals": 18,
            "chainId": "56",
            "createTime": 1712156631404,
            "updateTime": 1712156631404,
            "chainType": 0,
            "multicall3": "0xca11bde05977b3631167028862be2a173976ca11",
            "explorerUrl": "https://bscscan.com",
            "explorerTxPath": "/tx/",
            "explorerAddrPath": "/address/",
            "eip712ChainId": "0",
            "eip1559Support": true
        },
        {
            "id": 2,
            "chain": "POLYGON",
            "receiptAddress": "0xfa..c61",
            "txConfirmCount": "3",
            "decimals": 18,
            "chainId": "137",
            "createTime": 1712156631403,
            "updateTime": 1712156631403,
            "chainType": 0,
            "multicall3": "0xca11bde05977b3631167028862be2a173976ca11",
            "explorerUrl": "https://polygonscan.com",
            "explorerTxPath": "/tx/",
            "explorerAddrPath": "/address/",
            "eip712ChainId": "0",
            "eip1559Support": true
        },
        {
            "id": 4,
            "chain": "TRON",
            "receiptAddress": "TSK4...PN",
            "txConfirmCount": "3",
            "decimals": 6,
            "chainId": "0",
            "createTime": 1712156631405,
            "updateTime": 1712156631405,
            "chainType": 1,
            "multicall3": "TEazPvZwDjDtFeJupyo7QunvnrnUjPH8ED",
            "explorerUrl": "https://tronscan.org",
            "explorerTxPath": "/#/transaction/",
            "explorerAddrPath": "/#/address/",
            "eip712ChainId": "0",
            "eip1559Support": true
        }
    ]
}

Response Fields ​

FieldTypeDescription
data.chainstringBlockchain
data.receiptAddressstringAddress that collects the merchant's platform fee
data.txConfirmCountintegerNumber of transaction confirmations
data.decimalsintegerDecimals of the chain's native coin (e.g. ETH, TRX, BNB)
data.chainIdintegerEIP-155 chainId
data.chainTypeintegerChain type: 0 = EVM, 1 = Tron, 2 = Solana (not supported yet)
data.multicall3stringAddress the Multicall3 contract is deployed at on this chain
data.explorerUrlstringBlock explorer base URL
data.explorerTxPathstringPath for looking up a transaction ID
data.explorerAddrPathstringPath for looking up an address
data.eip712ChainIdintegerchainId used for EIP-712 signing on this chain
data.eip1559SupportbooleanWhether this chain supports EIP-1559

Query All Coin Info ​

Retrieve all supported tokens across all chains.

Endpoint ​

POST /v4.0.0/config/coins

Request ​

json
{}

Response ​

json
{
    "code": 0,
    "msg": "success",
    "ui": null,
    "version": null,
    "count": 0,
    "data": [
        {
            "id": 1,
            "blockChain": "ETH",
            "chainCode": "erc20",
            "tokenSymbol": "usdt",
            "contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
            "decimals": "6",
            "createTime": 1712156631406,
            "updateTime": 1712156631406
        },
        {
            "id": 2,
            "blockChain": "ETH",
            "chainCode": "erc20",
            "tokenSymbol": "usdc",
            "contractAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
            "decimals": "6",
            "createTime": 1712156631408,
            "updateTime": 1712156631408
        },
        {
            "id": 3,
            "blockChain": "POLYGON",
            "chainCode": "polygon-erc20",
            "tokenSymbol": "usdt",
            "contractAddress": "0xc2132d05d31c914a87c6611c10748aeb04b58e8f",
            "decimals": "6",
            "createTime": 1712156631409,
            "updateTime": 1712156631409
        },
        {
            "id": 4,
            "blockChain": "POLYGON",
            "chainCode": "polygon-erc20",
            "tokenSymbol": "kampay",
            "contractAddress": "0x39fc9e94caeacb435842fadedecb783589f50f5f",
            "decimals": "18",
            "createTime": 1712156631411,
            "updateTime": 1712156631411
        },
        {
            "id": 5,
            "blockChain": "BSC",
            "chainCode": "bep20",
            "tokenSymbol": "usdt",
            "contractAddress": "0x55d398326f99059ff775485246999027b3197955",
            "decimals": "18",
            "createTime": 1712156631419,
            "updateTime": 1712156631419
        },
        {
            "id": 6,
            "blockChain": "BSC",
            "chainCode": "bep20",
            "tokenSymbol": "usdc",
            "contractAddress": "0x8ac76a51cc950d9822d68b83fe1ad97b32cd580d",
            "decimals": "18",
            "createTime": 1712156631429,
            "updateTime": 1712156631429
        },
        {
            "id": 7,
            "blockChain": "BSC",
            "chainCode": "bep20",
            "tokenSymbol": "kampay",
            "contractAddress": "0x8e984e03ab35795c60242c902ece2450242c90e9",
            "decimals": "18",
            "createTime": 1712156631432,
            "updateTime": 1712156631432
        },
        {
            "id": 8,
            "blockChain": "TRON",
            "chainCode": "trc20",
            "tokenSymbol": "usdt",
            "contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
            "decimals": "6",
            "createTime": 1712156631436,
            "updateTime": 1712156631436
        },
        {
            "id": 9,
            "blockChain": "TRON",
            "chainCode": "trc20",
            "tokenSymbol": "usdc",
            "contractAddress": "TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8",
            "decimals": "6",
            "createTime": 1712156631437,
            "updateTime": 1712156631437
        },
        {
            "id": 10,
            "blockChain": "POLYGON",
            "chainCode": "polygon-erc20",
            "tokenSymbol": "usdc",
            "contractAddress": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
            "decimals": "6",
            "createTime": 1766680438411,
            "updateTime": 1766680438411
        }
    ]
}

Response Fields ​

FieldTypeDescription
data.blockChainstringBlockchain
data.chainCodestringToken standard on that chain — e.g. erc20 on ETH, bep20 on BSC. This field is deprecated
data.tokenSymbolstringToken symbol, e.g. usdt, usdc
data.contractAddressstringToken contract address
data.decimalsintegerToken decimals

Query Coin Info (Specific) ​

Retrieve token information for a specific chain.

Endpoint ​

POST /v4.0.0/config/coins/query

Request ​

json
{
  "blockChain": "ETH"
}

Response ​

json
{
    "code": 0,
    "msg": "success",
    "ui": null,
    "version": null,
    "count": 0,
    "data": [
        {
            "id": 2,
            "blockChain": "ETH",
            "chainCode": "erc20",
            "tokenSymbol": "usdc",
            "contractAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
            "decimals": "6",
            "createTime": 1712156631408,
            "updateTime": 1712156631408
        },
        {
            "id": 1,
            "blockChain": "ETH",
            "chainCode": "erc20",
            "tokenSymbol": "usdt",
            "contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
            "decimals": "6",
            "createTime": 1712156631406,
            "updateTime": 1712156631406
        }
    ]
}

Response Fields ​

FieldTypeDescription
data.blockChainstringBlockchain
data.chainCodestringToken standard on that chain — e.g. erc20 on ETH, bep20 on BSC. This field is deprecated
data.tokenSymbolstringToken symbol, e.g. usdt, usdc
data.contractAddressstringToken contract address
data.decimalsintegerToken decimals

Currently supported blockChain values ​

blockChain is the name of the blockchain network.

blockChainDescription
ETHEthereum
BSCBNB Smart Chain
POLYGONPolygon
TRONTron
SOLSolana

Currently supported tokenSymbol values ​

tokenSymbolNameDecimals
usdtTether USD6
usdcUSD Coin6

TIP

Use these config endpoints to dynamically populate chain and token selectors in your frontend, rather than hardcoding values.